
Automated Build Generator - Enhancement #1884
Add an option to disable the error ignores in the generated build flow
05/13/2014 03:56 PM - J. Wienke

Status: Resolved Start date: 05/13/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Jenkins API Estimated time: 0.00 hour
Target version: 0.3
Description

It would be nice if there was an option to disable generating ignore blocks for errors around each build step in the build flow.

Associated revisions
Revision 0edfeb8e - 05/20/2014 05:51 PM - J. Moringen

Added switch for build-flow failure handling in src/commandline-interface/main.lisp

fixes #1884

    -  src/commandline-interface/main.lisp (configure-distribution): added
  keyword parameter build-flow-ignores-failures?; pass to
  `configure-buildflow-job'
  (configure-distributions): similar
  (update-synopsis): added build-flow-fail commandline option
  (main): process build-flow-fail commandline option; pass to
  `configure-distributions'

History
#1 - 05/20/2014 06:10 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0edfeb8e0d847a623cfeda4b405f34b493339f8a.

#2 - 05/20/2014 09:30 PM - J. Moringen
- Target version set to 0.3

#3 - 05/20/2014 09:30 PM - J. Moringen
- Assignee set to J. Moringen
